Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 411

Resolution: Fixed Affected version: 4.1.0
Description

Although it is a text box with disabled set, it is difficult to identify because the background color does not change.
(The cursor changes when you mouse over, so we can identify it.)

Below is the [Settings] > [Incoming emails] tab.
Disabled is set for [Incoming email WS API key], but it is difficult to identify that input is not possible because the background color
does not change.

disabled.png
This is because the following style is set in application.css.

input, select, textarea, button { color: #333; background-color: #fff; border:1lpx solid #ccc;
border-radius:3px; box-sizing: border-box;}

The background-color is #fff, but the background-color for disabled is not specified.

Suggested fix
There are two ways to fix this.

1. Add a style for disabled
The setting of "input:disabled, select:disabled, textarea:disabled" already exists, so add the background-color there.

input:disabled, select:disabled, textarea:disabled {
cursor: not—allowed;
color: graytext;

+ background-color: #ebebed;

}

However, since there are various types of input, it is not clear whether there is no problem in specifying it uniformly like this.
It may be safer to specify only the required type, such as input[type="text"].

input [type="text"] :disabled,
input [type="password"] :disabled,
input [type="date"] :disabled,
input [type="number"] :disabled,
select:disabled,
textarea:disabled {
background-color: #ebebed;

}
2. Remove "background-color: #fff"

| think the need to reset the background-color is low.

- input, select, textarea, button { color: #333; background-color: #fff; border:1lpx solid #ccc; bo
rder-radius:3px; box-sizing: border-box; }

+ input, select, textarea, button { color: #333; border:1lpx solid #ccc; border-radius:3px; box-siz
ing: border-box;}
By not resetting, disabled will also be displayed in the default style.

disabled-2.png

Related issues:
Related to Redmine - Patch #31147: Add custom styles for all fields

Closed

Associated revisions

Revision 19519 - 2020-02-18 02:50 - Go MAEDA
Unable to distinguish disabled input fields (#32981).

Patch by Hirokazu Onozato.

Revision 19525 - 2020-02-19 16:45 - Go MAEDA
Merged r19519 from trunk to 4.1-stable (#32981).

History

#1 - 2020-02-12 05:57 - Bernhard Rohloff
- Related to Patch #31147: Add custom styles for all fields added

#2 - 2020-02-12 06:02 - Bernhard Rohloff

- Status changed from New to Confirmed

We styled the input fields background in #31147 to get a consistent look of Redmine and fix problems with dark themed desktops.

| think your first solution is the most appropriate one.

#3 - 2020-02-13 08:52 - Go MAEDA

Onozato-san, thank you for reporting this issue.

Just out of curiosity, how did you pick the color #ebebe4?
#4 - 2020-02-13 16:29 - Hirokazu Onozato

- File chrome-css.png added

Go MAEDA wrote:

Just out of curiosity, how did you pick the color #ebebe4?
Using Chrome's DevTools, | checked with Chrome default CSS.
On my Windows PC, it was rgb(235, 235, 228) = #ebebe4.

chrome-css.png

#5 - 2020-02-15 06:35 - Go MAEDA

- Target version set to 4.1.1

The first patch provided by Hirokazu Onozato looks good. Setting the target version to 4.1.1.

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index e04091al0..815bd4el5 100644
—-—— a/public/stylesheets/application.css
+++ b/public/stylesheets/application.css

@@ -423,6 +423,7 Q@ span.add_attachment a {padding-left:1l6px;

input:disabled, select:disabled, textarea:disabled {
cursor: not-allowed;
color: graytext;
+ Dbackground-color: #ebebed;

}

#6 - 2020-02-18 02:51 - Go MAEDA
- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

2025-05-09

background:

url (../images/bullet_add.p

2/3



https://www.redmine.org/issues/31147

- Resolution set to Fixed
Committed the patch. Thank you for reporting and fixing the issue.

#7 - 2020-02-18 02:51 - Go MAEDA
- Subject changed from Difficult to identify a text box that is disabled to Unable to distinguish disabled input fields

#8 - 2020-02-19 16:45 - Go MAEDA

- Status changed from Resolved to Closed

Files

disabled.png 3.21 KB 2020-02-10 Hirokazu Onozato
disabled-2.png 3.19 KB 2020-02-11 Hirokazu Onozato
chrome-css.png 12.1 KB 2020-02-13 Hirokazu Onozato

2025-05-09

3/3


http://www.tcpdf.org

